Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(254)

Issue 123660043: Create gitdeps.py script. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 years, 8 months ago by chrisha
Modified:
6 years, 8 months ago
CC:
sawbuck-changes_googlegroups.com
Base URL:
http://sawbuck.googlecode.com/svn/trunk
Visibility:
Public.

Description

Create gitdeps.py script. This emulates 'gclient' behaviour, but for 'deep' GIT dependencies. It will be necessary once Chrome has transitioned to a pure GIT checkout, as we will be unable to roll DEPS beyond that point. BUG= R=sebmarchand@chromium.org Committed: https://code.google.com/p/sawbuck/source/detail?r=2274

Patch Set 1 #

Total comments: 62

Patch Set 2 : Addressed nits, added unittests. #

Patch Set 3 : Better unittest comments. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+983 lines, -0 lines) Patch
A syzygy/build/gitdeps.py View 1 1 chunk +697 lines, -0 lines 0 comments Download
A syzygy/build/gitdeps_test.py View 1 2 1 chunk +286 lines, -0 lines 0 comments Download

Messages

Total messages: 6
chrisha
This grew to be a sizable script in order to handle all of the edge ...
6 years, 8 months ago (2014-08-20 21:07:14 UTC) #1
Sébastien Marchand
a handful of nits ! (Sorry I should honor my newly acquired python readability). Most ...
6 years, 8 months ago (2014-08-21 18:37:31 UTC) #2
chrisha
PTAL? https://codereview.appspot.com/123660043/diff/1/syzygy/build/gitdeps.py File syzygy/build/gitdeps.py (right): https://codereview.appspot.com/123660043/diff/1/syzygy/build/gitdeps.py#newcode50 syzygy/build/gitdeps.py:50: import shutil On 2014/08/21 18:37:29, Sébastien Marchand wrote: ...
6 years, 8 months ago (2014-08-27 15:26:20 UTC) #3
Sébastien Marchand
lgtm.
6 years, 8 months ago (2014-08-27 20:02:23 UTC) #4
chrisha
Thanks, committing!
6 years, 8 months ago (2014-08-27 20:09:46 UTC) #5
chrisha
6 years, 8 months ago (2014-08-27 20:33:13 UTC) #6
Message was sent while issue was closed.
Committed patchset #3 (id:40001) manually as 2274.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b